/* Copyright (c) 2000-2001 ActiveState SRL.
   See the file LICENSE.txt for licensing information. */

var _gIdCount = 0;
function generateId()
{
    return "id_"+(++_gIdCount);
}

function addStyle(cell, aName, aValue) {
    var nullvalue = typeof(aValue)=='undefined' || !aValue;
    var oldStyle;
    var newStyle = "";
    try {
        oldStyle = cell.getAttribute('style');
    } catch(e) {
        oldStyle = "";
    }
    if (oldStyle) {
        var foundIt = false;
        var parts_before = oldStyle.split(";");
        var parts_after = new Array();
        var part, name_and_value, name, value;
        var i;
        for (i = 0; i < parts_before.length; i++) {
            part = parts_before[i];
            name_and_value = part.split(':');
            if (aName == name_and_value[0]) {
                if (nullvalue) {
                    // no value, remove the style
                    continue;
                }
                parts_after.push(aName + ":" + aValue);
                foundIt = true;
            } else {
                parts_after.push(part);
            }
        }
        if (!foundIt && !nullvalue) {
            parts_after.push(aName + ":" + aValue);
        }
        newStyle = parts_after.join(";");
    } else if (!nullvalue) {
        newStyle = aName + ":" + aValue;
    }
    if (newStyle != oldStyle) {
        //dump("oldStyle = " + oldStyle + " while newStyle = " + newStyle + '\n');
        cell.setAttribute('style', newStyle);
    }
}
